--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Logs Irc::User <em>user</em> in to BotUser <em>botusername</em> with password <em>pwd</em>
- !ruby/struct:SM::Flow::P 
  body: raises an error if <em>botusername</em> is not a known BotUser username
- !ruby/struct:SM::Flow::P 
  body: It is possible to autologin by Netmask, on request
full_name: Irc::Bot::Auth::ManagerClass#login
is_singleton: false
name: login
params: (user, botusername, pwd=nil)
visibility: public
